armarx_add_ice_library(head_board_armar7de_interfaces
    SLICE_FILES
        njoint_controller/EyeColorInterface.ice
    DEPENDENCIES
        ArmarXCoreInterfaces
        ArmarXGuiInterfaces
        RobotAPIInterfaces
)

armarx_add_library(head_board_armar7de
    SOURCES
        Data.cpp
        Device.cpp
        ErrorDecoder.cpp
        LedControlData.cpp
        PWMVelocity.cpp
        Slave.cpp
        joint_controller/EmergencyStop.cpp
        joint_controller/LedColor.cpp
        joint_controller/LedEmergencyStop.cpp
        joint_controller/LedStopMovement.cpp
        joint_controller/PWM.cpp
        joint_controller/PWMPosition.cpp
        joint_controller/PWMVelocity.cpp
        joint_controller/StopMovement.cpp
        joint_controller/ZeroTorque.cpp
        njoint_controller/EyeColor.cpp
    HEADERS
        Config.h
        ControlTargets.h
        Data.h
        Device.h
        ErrorDecoder.h
        LedControlData.h
        PWMVelocity.h
        SlaveIO.h
        Slave.h
        joint_controller/EmergencyStop.h
        joint_controller/LedColor.h
        joint_controller/LedEmergencyStop.h
        joint_controller/LedStopMovement.h
        joint_controller/PWM.h
        joint_controller/PWMPosition.h
        joint_controller/PWMVelocity.h
        joint_controller/StopMovement.h
        joint_controller/ZeroTorque.h
        njoint_controller/EyeColor.h
    DEPENDENCIES
        RobotAPIUnits
        armarx_control::ethercat
        armarx_control::rt_filters
        RemoteGui
        SimoxUtility
        devices_ethercat::head_board_armar7de_interfaces
    DEPENDENCIES_LEGACY
        SOEM
)
